package com.sf.msg.consumers.bean;

package ..deTemp.1734761439416;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.smartframework.web.core.utils.Constants;
import com.smartframework.web.core.utils.ParameterUtils;
import java.util.Date;

@JsonIgnoreProperties(ignoreUnknown = true)
public class AlarmMsgBean {
  private String uuid;
  
  private Long dev_id;
  
  private Integer alarm_type;
  
  private Integer alarm_priority;
  
  private Integer status;
  
  private Long occur_time;
  
  private Long msec_time;
  
  private String alarm_str;
  
  private Date createTime;
  
  private Integer is_water_alm;
  
  private Integer fault_feature_type;
  
  private String infer_name;
  
  private Long station_id;
  
  private Long reservered_1;
  
  private Integer reservered_2;
  
  private Long obj_id;
  
  public String toString() {
    return "AlarmMsgBean{uuid='" + this.uuid + '\'' + ", dev_id=" + this.dev_id + ", alarm_type=" + this.alarm_type + ", alarm_priority=" + this.alarm_priority + ", status=" + this.status + ", occur_time=" + this.occur_time + ", msec_time=" + this.msec_time + ", alarm_str='" + this.alarm_str + '\'' + ", createTime=" + this.createTime + ", is_water_alm=" + this.is_water_alm + ", fault_feature_type=" + this.fault_feature_type + ", infer_name='" + this.infer_name + '\'' + ", station_id=" + this.station_id + ", reservered_1=" + this.reservered_1 + ", reservered_2=" + this.reservered_2 + ", obj_id=" + this.obj_id + '}';
  }
  
  public String getUuid() {
    return this.uuid;
  }
  
  public void setUuid(String uuid) {
    this.uuid = uuid;
  }
  
  public String subKey() {
    if (!ParameterUtils.isEmptyOrNull(this.infer_name) && Constants.getBoolean("dms.alarm.infer-name.enbaled", false))
      return String.format("%s.%s.%s", new Object[] { String.valueOf(this.alarm_type), String.valueOf(this.status), String.valueOf(this.infer_name) }); 
    return String.format("%s.%s", new Object[] { String.valueOf(this.alarm_type), String.valueOf(this.status) });
  }
  
  public String subId(String deviceType) {
    return String.format("%s.%s.%s", new Object[] { String.valueOf(this.alarm_type), String.valueOf(this.status), deviceType });
  }
  
  public Integer getFault_feature_type() {
    return this.fault_feature_type;
  }
  
  public void setFault_feature_type(Integer fault_feature_type) {
    this.fault_feature_type = fault_feature_type;
  }
  
  public Long getDev_id() {
    return this.dev_id;
  }
  
  public void setDev_id(Long dev_id) {
    this.dev_id = dev_id;
  }
  
  public Integer getAlarm_type() {
    return this.alarm_type;
  }
  
  public void setAlarm_type(Integer alarm_type) {
    this.alarm_type = alarm_type;
  }
  
  public Integer getAlarm_priority() {
    return this.alarm_priority;
  }
  
  public void setAlarm_priority(Integer alarm_priority) {
    this.alarm_priority = alarm_priority;
  }
  
  public Integer getStatus() {
    return this.status;
  }
  
  public void setStatus(Integer alarm_status) {
    this.status = alarm_status;
  }
  
  public String getAlarm_str() {
    return this.alarm_str;
  }
  
  public Long getOccur_time() {
    return this.occur_time;
  }
  
  public void setOccur_time(Long occur_time) {
    this.occur_time = occur_time;
  }
  
  public Long getMsec_time() {
    return this.msec_time;
  }
  
  public void setMsec_time(Long msec_time) {
    this.msec_time = msec_time;
  }
  
  public Date getCreateTime() {
    if (this.createTime == null)
      this.createTime = new Date(this.occur_time.longValue() * 1000L + this.msec_time.longValue()); 
    return this.createTime;
  }
  
  public void setCreateTime(Date createTime) {
    this.createTime = createTime;
  }
  
  public void setAlarm_str(String str) {
    this.alarm_str = str;
  }
  
  public Integer getIs_water_alm() {
    return Integer.valueOf((this.is_water_alm == null) ? 0 : this.is_water_alm.intValue());
  }
  
  public void setIs_water_alm(Integer is_water_alm) {
    this.is_water_alm = is_water_alm;
  }
  
  public String getInfer_name() {
    return this.infer_name;
  }
  
  public void setInfer_name(String infer_name) {
    this.infer_name = infer_name;
  }
  
  public boolean isValid() {
    if (Boolean.FALSE.toString().equalsIgnoreCase(Constants.getAppPrefixedPara("dms.alarm.msg.full", Boolean.FALSE.toString())))
      return true; 
    if (this.alarm_str == null || this.dev_id == null || this.status == null || this.occur_time == null || this.msec_time == null || this.alarm_type == null)
      return false; 
    if (this.alarm_str.trim().isEmpty())
      return false; 
    return true;
  }
  
  public Long getStation_id() {
    return this.station_id;
  }
  
  public void setStation_id(Long station_id) {
    this.station_id = station_id;
  }
  
  public Long getReservered_1() {
    return this.reservered_1;
  }
  
  public void setReservered_1(Long reservered_1) {
    this.reservered_1 = reservered_1;
  }
  
  public Integer getReservered_2() {
    return this.reservered_2;
  }
  
  public void setReservered_2(Integer reservered_2) {
    this.reservered_2 = reservered_2;
  }
  
  public Long getObj_id() {
    return this.obj_id;
  }
  
  public void setObj_id(Long obj_id) {
    this.obj_id = obj_id;
  }
}
